#include <QApplication>
#include <QStyleFactory>
#include <QDir>
#include "device_watcher.h"
#include "SH_plugins_manager.h"

int main(int argc, char * argv[]) {
	initAbout();
	QApplication app(argc, argv);
	QApplication::setApplicationName("device_watcher");
	enableHighDPI();
	QDir::setCurrent(app.applicationDirPath());
	//app.setStyle(QStyleFactory::create("Fusion"));
	app.setQuitOnLastWindowClosed(false);
	RUNTIME->plugins_manager = new SHPluginsManager();
	DeviceWatcher * w = new DeviceWatcher();
	int ret = app.exec();
	delete w;
	delete RUNTIME->plugins_manager;
	return ret;
}
